FLATPAK PIN(1)

NAME
flatpak-pin - Pin runtimes to prevent automatic removal

SYNOPSIS

flatpak pin [OPTION...] PATTERN...

DESCRIPTION

Flatpak maintains a list of patterns that define which refs are pinned. A pinned ref will never be automatically uninstalled (as are unused runtimes periodically). This can be useful if for example you are using a runtime for development purposes.

Runtimes that are explicitly installed, rather than installed as a dependency of something else, are automatically pinned.

The patterns are just a partial ref, with the * character matching anything within that part of the ref. Only runtimes can be pinned, not apps. Here are some example patterns:

    org.some.Runtime
    org.some.Runtime//unstable
    runtime/org.domain.*
    org.some.Runtime/arm

To list the current set of pins, run this command without any patterns.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

--remove
    Instead of adding the patterns, remove matching patterns.

-u, --user
    Pin refs in a per-user installation.

--system
    Pin refs in the default system-wide installation.

--installation=NAME
    Pin refs in a system-wide installation specified by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

-v, --verbose
    Print debug information during command processing.

EXAMPLES

$ flatpak pin

$ flatpak pin org.freedesktop.Platform//19.08

$ flatpak pin --remove org.freedesktop.Platform//19.08

SEE ALSO

flatpak(1), flatpak-uninstall(1),